---
title: Update section
slug: content-recommendations/api/update-section
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "ooVNMr2zAmbaA-mIpkn2x",
  "type": "api-oas-v2",
  "data": {
    "method": "PATCH",
    "url": "https://api.usea01.idio.episerver.net/1.0/sections/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/sections/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Update section",
    "description": "<p>Update section attributes, such as title and description.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "integer",
          "example": 42,
          "description": "Unique identifier of the section."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Map of fields to update",
          "customType": "SectionPartial",
          "schema": [
            {
              "name": "title",
              "kind": "optional",
              "type": "string",
              "description": "Updated title of the section.",
              "example": "Tech Updates"
            },
            {
              "name": "description",
              "kind": "optional",
              "type": "string",
              "description": "Updated description for the section.",
              "example": "Updated description for technology section."
            },
            {
              "name": "query",
              "kind": "optional",
              "type": "string",
              "description": "Updated Lucene query string for the section.",
              "example": "category:AI AND language:en"
            }
          ],
          "modelRef": "#/components/schemas/SectionPartial",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Section updated.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ID",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier.",
                "example": "12345"
              }
            ],
            "modelRef": "#/components/schemas/ID",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Section does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ydwr18Eu-NnR_iBUUJHOb",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PATCH \\\n     --url https://api.usea01.idio.episerver.net/1.0/sections/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "X2UHjIx_yX8EBxcSJ1S-H",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/sections/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "6cpW3HIkWMzdFPdilCBiX",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/sections/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "tWree2VHqi2LsK1HAksEk",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/sections/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ydwr18Eu-NnR_iBUUJHOb"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Section updated.\n{\n  \"id\": \"12345\"\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Section does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}